Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface AppRuntimeStateRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

public interface AppRuntimeStateRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Provides access to runtime state for deployed applications.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `STATE_ACTIVE` Ruuning and available
`static String` | `STATE_ADMIN` Running but only accessible through admin port
`static String` | `STATE_FAILED` Configured but not deployed.
`static String` | `STATE_NEW` Configured but not deployed.
`static String` | `STATE_PREPARED` Ready for activation
`static String` | `STATE_RETIRED` Configured but not deployed.
`static String` | `STATE_UPDATE_PENDING` Running and being updated

Method Summary
`String[]` | `getApplicationIds()`
`String` | `getCurrentState(String appid, String target)` Aggregate state for the application.
`String` | `getCurrentState(String appid, String moduleid, String target)` Aggregate state for the module.
`String` | `getCurrentState(String appid, String moduleid, String subModuleId, String target)` Aggregate state for a submodule.
`String` | `getIntendedState(String appid)` The state the application should be in.
`String` | `getIntendedState(String appid, String target)` The state the application should be in on a specific target.
`String[]` | `getModuleIds(String appid)` Names of modules contained in the application.
`String[]` | `getModuleTargets(String appid, String moduleid)` Logical targets where the module is deployed
`String[]` | `getModuleTargets(String appid, String moduleid, String subModuleId)` Logical targets where the submodule is deployed
`String` | `getModuleType(String appid, String moduleid)` Indicates type of module: EAR, WAR, etc
`long` | `getRetireTimeMillis(String appid)` The time when the app will be retired
`int` | `getRetireTimeoutSeconds(String appid)` The amount of time the app is given to retire
`String[]` | `getSubmoduleIds(String appid, String moduleid)` Submodules associated with this module
`boolean` | `isActiveVersion(String appid)` Indicates if the application is the active version; the one that new sessions will use.
`boolean` | `isAdminMode(String appid, String target)` Indicates if application should only be available through the admin port.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### STATE_ACTIVE

    public static final String STATE_ACTIVE

  Ruuning and available

  See Also:
    Constant Field Values

### STATE_ADMIN

    public static final String STATE_ADMIN

  Running but only accessible through admin port

  See Also:
    Constant Field Values

### STATE_FAILED

    public static final String STATE_FAILED

  Configured but not deployed. This is the state of an application after it fails during dynamic deployment activate or during static deployment startup. This state can only be set as a current state, but not as an intended state.

  See Also:
    Constant Field Values

### STATE_NEW

    public static final String STATE_NEW

  Configured but not deployed.

  See Also:
    Constant Field Values

### STATE_PREPARED

    public static final String STATE_PREPARED

  Ready for activation

  See Also:
    Constant Field Values

### STATE_RETIRED

    public static final String STATE_RETIRED

  Configured but not deployed. This is the state of an application version after it is retired. The administrator is responsible for explicitly removing the retired app version from the configuration. This state can only be set as a current state, but not as an intended state.

  See Also:
    Constant Field Values

### STATE_UPDATE_PENDING

    public static final String STATE_UPDATE_PENDING

  Running and being updated

  See Also:
    Constant Field Values

Method Detail

### getApplicationIds

    public String[] getApplicationIds()

  Returns:
    List of known applications

### getCurrentState

    public String getCurrentState(String appid,
                                  String target)

  Aggregate state for the application. This is defined as the most advanced state of the application's modules on the named target.

  Parameters:
    `appid` -
    `target` - logical target where the app is deployed
  Returns:
    Aggregate state for the application, or null if app not configured on target

### getCurrentState

    public String getCurrentState(String appid,
                                  String moduleid,
                                  String target)

  Aggregate state for the module. This is defined as the most advanced state of the module on all servers associated with the named target.

  Parameters:
    `appid` -
    `moduleid` -
    `target` - logical target where module is deployed
  Returns:
    Aggregate state for the application, or null if app not configured on target

### getCurrentState

    public String getCurrentState(String appid,
                                  String moduleid,
                                  String subModuleId,
                                  String target)

  Aggregate state for a submodule. This is defined as the most advanced state of the submodule on all servers associated with the named target.

  Parameters:
    `appid` -
    `moduleid` -
    `subModuleId` -
    `target` - logical target where module is deployed
  Returns:
    Aggregate state for the application, or null if app not configured on target

### getIntendedState

    public String getIntendedState(String appid)

  The state the application should be in.

  Parameters:
    `appid` -

### getIntendedState

    public String getIntendedState(String appid,
                                   String target)

  The state the application should be in on a specific target.

  Parameters:
    `appid` -
    `target` -

### getModuleIds

    public String[] getModuleIds(String appid)

  Names of modules contained in the application. This does not include submodules.

  Parameters:
    `appid` -
  Returns:
    list of modules or null if app doesn't exist

### getModuleTargets

    public String[] getModuleTargets(String appid,
                                     String moduleid)

  Logical targets where the module is deployed

  Parameters:
    `appid` -
    `moduleid` -

### getModuleTargets

    public String[] getModuleTargets(String appid,
                                     String moduleid,
                                     String subModuleId)

  Logical targets where the submodule is deployed

  Parameters:
    `appid` -
    `moduleid` -
    `subModuleId` -

### getModuleType

    public String getModuleType(String appid,
                                String moduleid)

  Indicates type of module: EAR, WAR, etc

  Parameters:
    `appid` -
    `moduleid` -
  Returns:
    type of module
  See Also:
    `weblogic.deploy.api.shared.WebLogicModuleType`

### getRetireTimeMillis

    public long getRetireTimeMillis(String appid)

  The time when the app will be retired

  Parameters:
    `appid` -

### getRetireTimeoutSeconds

    public int getRetireTimeoutSeconds(String appid)

  The amount of time the app is given to retire

  Parameters:
    `appid` -

### getSubmoduleIds

    public String[] getSubmoduleIds(String appid,
                                    String moduleid)

  Submodules associated with this module

  Parameters:
    `appid` -
    `moduleid` -
  Returns:
    type of module
  See Also:
    `weblogic.deploy.api.shared.WebLogicModuleType`

### isActiveVersion

    public boolean isActiveVersion(String appid)

  Indicates if the application is the active version; the one that new sessions will use.

  Parameters:
    `appid` - is the application id
  Returns:
    true if application deployed to named target is the active version.

### isAdminMode

    public boolean isAdminMode(String appid,
                               String target)

  Indicates if application should only be available through the admin port. This is the desired state of the application

  Parameters:
    `appid` - is the application id
  Returns:
    true if application deployed to named target is in admin mode. Returns false otherwise, or if app not deployed to target.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD